/* dos.c */
 
#define void int
#define BYTE unsigned char
 
#include  <stdio.h>
#include  <dos.h>
 
static BYTE cur_row  = 0;      /* current row */
static BYTE cur_col  = 0;      /* current col */
 
 
void AttrWrite(ch,attr)     /* write ch & attr - does not advance cursor */
BYTE ch;
BYTE attr;
{union REGS  reg;
 reg.h.ah = 9;
 reg.h.bh = 0;        /* current text page */
 reg.h.al = ch;       /* character */
 reg.h.bl = attr;
 reg.x.cx = 1;
 int86(0x10, &reg, &reg);
}
 
void Position(row, col)       /* sets current screen position */
BYTE row, col;
{union REGS reg;
 reg.h.ah = 2;
 reg.h.bh = 0;
 reg.h.dh = row;
 reg.h.dl = col;
 int86(0x10, &reg, &reg);
 cur_row = row;
 cur_col = col;
}
 
int GetRow()       /* gets current screen cursor row position */
{union  REGS  reg;
 reg.h.ah = 3;
 reg.h.bh = 0;
 int86(0x10, &reg, &reg);
 return(reg.h.dh);
}
 
int GetCol()       /* gets current screen cursor col position */
{union  REGS  reg;
 reg.h.ah = 3;
 reg.h.bh = 0;
 int86(0x10, &reg, &reg);
 return(reg.h.dl);
}
 
int Scroll(urow, lcol, lrow, rcol, nrows, attr)
unsigned  urow, lcol, lrow, rcol;
int nrows;
int attr;
{union REGS reg;
 reg.h.ah = 6;
 reg.h.ch = urow;
 reg.h.cl = lcol;
 reg.h.al = nrows;
 reg.h.bh = attr;
 reg.h.dh = lrow;
 reg.h.dl = rcol;
 int86(0x10, &reg, &reg);
}